DECLARE @adder INT = 1;;

WHILE @adder < 50
  BEGIN
    INSERT INTO ADSCh4.SalesOrderHeader
           (
           [SalesOrderID],
           [RevisionNumber],
           [OrderDate],
           [DueDate],
           [ShipDate],
           [Status],
           [OnlineOrderFlag],
           [SalesOrderNumber],
           [PurchaseOrderNumber],
           [AccountNumber],
           [CustomerID],
           [ShipToAddressID],
           [BillToAddressID],
           [ShipMethod],
           [CreditCardApprovalCode],
           [SubTotal],
           [TaxAmt],
           [Freight],
           [TotalDue],
           [Comment],
           [rowguid],
           [ModifiedDate]
           )
    SELECT 
           [SalesOrderID] + @adder,
           [RevisionNumber],
           DATEADD(month, @adder, [OrderDate]),
           DATEADD(month, @adder, [DueDate]),
           DATEADD(month, @adder, [ShipDate]),
           [Status],
           [OnlineOrderFlag],
           [SalesOrderNumber],
           [PurchaseOrderNumber],
           [AccountNumber],
           [CustomerID],
           [ShipToAddressID],
           [BillToAddressID],
           [ShipMethod],
           [CreditCardApprovalCode],
           [SubTotal],
           [TaxAmt],
           [Freight],
           [TotalDue],
           [Comment],
           [rowguid],
           [ModifiedDate]
       FROM
            [ADSCh4].[SalesOrderHeader];
				set @adder=@adder+1
  END;
GO